Package com.emc.d2fs.models.x3_content_assist

# Class X3ContentAssist

java.lang.Object
com.emc.d2fs.models.x3_content_assist.X3ContentAssist

All Implemented Interfaces:
  `Serializable`

public class X3ContentAssist extends Object implements Serializable

Java class for x3_content_assist complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="x3_content_assist">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="label" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="browse" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="search" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="recent" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="favorite" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `X3ContentAssist()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getLabel()`
  Gets the value of the label property.
  `Boolean`
  `isBrowse()`
  Gets the value of the browse property.
  `Boolean`
  `isFavorite()`
  Gets the value of the favorite property.
  `Boolean`
  `isRecent()`
  Gets the value of the recent property.
  `Boolean`
  `isSearch()`
  Gets the value of the search property.
  `void`
  `setBrowse(Boolean value)`
  Sets the value of the browse property.
  `void`
  `setFavorite(Boolean value)`
  Sets the value of the favorite property.
  `void`
  `setLabel(String value)`
  Sets the value of the label property.
  `void`
  `setRecent(Boolean value)`
  Sets the value of the recent property.
  `void`
  `setSearch(Boolean value)`
  Sets the value of the search property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### X3ContentAssist

    public X3ContentAssist()

- ## Method Details

  - ### getLabel

    public String getLabel()
    Gets the value of the label property.
    Returns:
      possible object is `String`

  - ### setLabel

    public void setLabel(String value)
    Sets the value of the label property.
    Parameters:
      `value` - allowed object is `String`

  - ### isBrowse

    public Boolean isBrowse()
    Gets the value of the browse property.
    Returns:
      possible object is `Boolean`

  - ### setBrowse

    public void setBrowse(Boolean value)
    Sets the value of the browse property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isSearch

    public Boolean isSearch()
    Gets the value of the search property.
    Returns:
      possible object is `Boolean`

  - ### setSearch

    public void setSearch(Boolean value)
    Sets the value of the search property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isRecent

    public Boolean isRecent()
    Gets the value of the recent property.
    Returns:
      possible object is `Boolean`

  - ### setRecent

    public void setRecent(Boolean value)
    Sets the value of the recent property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isFavorite

    public Boolean isFavorite()
    Gets the value of the favorite property.
    Returns:
      possible object is `Boolean`

  - ### setFavorite

    public void setFavorite(Boolean value)
    Sets the value of the favorite property.
    Parameters:
      `value` - allowed object is `Boolean`